UNFINISHED! Class that represents a particle effect asset.

### Hierarchy

- ParticleEffectAsset

## Index

### Constructors

- constructor

### Properties

- assetName

### Accessors

- Asset
- AssetName
- IsLoaded

### Methods

- markAsNoLongerNeeded
- request
- setNextCall
- startNonLoopedAtCoord
- startNonLoopedOnEntity
- toString

## Constructors

### constructor

- new ParticleEffectAsset(assetName: string): ParticleEffectAsset

- - Defined in ParticleEffectAsset.ts:18

  #### Parameters

  - ##### assetName: string

  #### Returns ParticleEffectAsset

## Properties

### Private Readonly assetName

assetName: string

- Defined in ParticleEffectAsset.ts:16

## Accessors

### Asset

- get Asset(): string

- - Defined in ParticleEffectAsset.ts:12

  Returns the name of the asset. Same as AssetName.

  #### Returns string

### AssetName

- get AssetName(): string

- - Defined in ParticleEffectAsset.ts:25

  Get the name of the particle effect.

  #### Returns string

### IsLoaded

- get IsLoaded(): boolean

- - Defined in ParticleEffectAsset.ts:32

  Get whether the particle effect has loaded into game memory.

  #### Returns boolean

## Methods

### markAsNoLongerNeeded

- markAsNoLongerNeeded(): void

- - Defined in ParticleEffectAsset.ts:140

  Allow game engine to safely unload particle effect model from memory.

  #### Returns void

### request

- request(timeout: number): Promise<boolean>

- - Defined in ParticleEffectAsset.ts:120

  Load a particle effect into the game memory.

  #### Parameters

  - ##### timeout: number

    Max time to load Particle Effect

  #### Returns Promise<boolean>

### Private setNextCall

- setNextCall(): boolean

- - Defined in ParticleEffectAsset.ts:148

  #### Returns boolean

### startNonLoopedAtCoord

- startNonLoopedAtCoord(effectName: string, pos: Vector3, rot?: Vector3, scale?: number, invertAxis?: InvertAxis): boolean

- - Defined in ParticleEffectAsset.ts:46

  Start a particle effect at a world position.

  #### Parameters

  - ##### effectName: string

    Name of effect.

  - ##### pos: Vector3

  - ##### rot: Vector3 = ...

    Rotation from entity position.

  - ##### scale: number = 1.0

    Size of the effect.

  - ##### invertAxis: InvertAxis = ...

    Which axis to invert (default none).

  #### Returns boolean

### startNonLoopedOnEntity

- startNonLoopedOnEntity(effectName: string, entity: Entity, off?: Vector3, rot?: Vector3, scale?: number, invertAxis?: InvertAxis): boolean

- - Defined in ParticleEffectAsset.ts:86

  Start a particle effect on an entity

  #### Parameters

  - ##### effectName: string

    Name of effect.

  - ##### entity: Entity

    Entity to use effect on.

  - ##### off: Vector3 = ...

    Offset from entity position.

  - ##### rot: Vector3 = ...

    Rotation from entity position.

  - ##### scale: number = 1.0

    Size of the effect.

  - ##### invertAxis: InvertAxis = ...

    Which axis to invert (default none).

  #### Returns boolean

### toString

- toString(): string

- - Defined in ParticleEffectAsset.ts:144

  #### Returns string

Generated using TypeDoc